#!/bin/sh
#post-install script.
#Puppy Linux
#assume current directory is rootfs-complete, which has the final filesystem.

#This script is a fixup for porting puppy 4.1.x to build in Woof, which assumes
#Xorg is installed into /usr, not /usr/X11R7

for ONEFILE in `find ./usr/X11R7/bin -type f`
do
 BASEFILE="`basename $ONEFILE`"
 ln -snf /usr/X11R7/bin/$BASEFILE ./usr/bin/$BASEFILE
done

#probably not required...
#for ONEFILE in `find ./usr/X11R7/lib -type f`
#do
# BASEFILE="`basename $ONEFILE`"
# ln -snf /usr/X11R7/lib/$BASEFILE ./usr/lib/$BASEFILE
#done

for ONEFILE in `find ./usr/X11R7/share/applications -type f`
do
 BASEFILE="`basename $ONEFILE`"
 mv -f $ONEFILE ./usr/share/applications/
done

if [ -d ./usr/X11R7/lib/X11 ];then
 if [ -d ./usr/lib/X11 ];then
  cp -a -f ./usr/lib/X11/* ./usr/X11R7/lib/X11/
  rm -r -f ./usr/lib/X11
 fi
 ln -snf /usr/X11R7/lib/X11 ./usr/lib/X11
fi

if [ -d ./usr/X11R7/lib/xorg ];then
 if [ -d ./usr/lib/xorg ];then
  cp -a -f ./usr/lib/xorg/* ./usr/X11R7/lib/xorg/
  rm -r -f ./usr/lib/xorg
 fi
 ln -snf /usr/X11R7/lib/xorg ./usr/lib/xorg
fi

if [ -d ./usr/X11R7/lib/xserver ];then
 if [ -d ./usr/lib/xserver ];then
  cp -a -f ./usr/lib/xserver/* ./usr/X11R7/lib/xserver/
  rm -r -f ./usr/lib/xserver
 fi
 ln -s /usr/X11R7/lib/xserver ./usr/lib/xserver
fi

if [ -d ./usr/X11R7/lib/X11 ];then
 if [ -d ./usr/share/X11 ];then
  cp -a -f ./usr/share/X11/* ./usr/X11R7/lib/X11/
  rm -r -f ./usr/share/X11
 fi
 ln -s /usr/X11R7/lib/X11 ./usr/share/X11
fi

ln -s Xorg ./usr/bin/X
rm -f ./usr/X11R7/bin/X

#extra fixes to get pup 4xx packages working in woof...

[ -f ./sbin/modprobe.bin ] && mv -f ./sbin/modprobe.bin ./sbin/modprobe

#set gtk theme as per 4.1.2...
echo '# -- THEME AUTO-WRITTEN DO NOT EDIT
include "/usr/share/themes/Gradient-grey/gtk-2.0/gtkrc"

include "/root/.gtkrc.mine"

# -- THEME AUTO-WRITTEN DO NOT EDIT' > ./root/.gtkrc-2.0

#set background as per 4.1.2...
mv -f ./usr/share/backgrounds/icelandic.jpg ./usr/share/backgrounds/default.jpg

#end#
